//-------------------------------------------------------------------------*
// 工 程 名: Light                                                         *
// 硬件连接: 小灯接在PTD口的0脚,宏定义在Light.h文件中                      *
// 程序描述: 用GPIO编程控制小灯闪烁                                        *
// 目    的: 第一个Freescale S08系列MCU C语言程序框架                      *
// 说    明: 提供Freescale MCU的编程框架，供教学入门使用                   *
//---------------苏州大学飞思卡尔嵌入式系统研发中心2011年------------------*

#include "Includes.h"

void main(void)
{
    /* 1 主程序使用的变量定义 */
    uint32 mRuncount=0;                             //运行计数器
    
    /* 2 关总中断 */
    DisableInterrupt();  
       
    /* 3 芯片初始化 */
    MCUInit();
    
    /* 4 模块初始化 */
    Light_Init(Light_Run_PORT,Light_Run,Light_OFF); //指示灯初始化为暗
 
    /* 主循环 */
    while (1)                      
    {
        /* 1 主循环计数到一定的值，使小灯的亮、暗状态切换 */
        mRuncount++;
        if (mRuncount>=50000) 
        {
          mRuncount=0;
          Light_Change(Light_Run_PORT,Light_Run);   //指示灯的亮、暗状态切换
        }
    }
    
}
